Bug 981925 - e1000e driver issue
e1000e driver issue
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 23:19 EDT by Richard Allen
Modified: 2013-07-23 20:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 20:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2013-07-06 23:19:17 EDT
Description of problem:
My laptop's wired network card is always reconnecting

Version-Release number of selected component (if applicable):
3.9.8-300.fc19.x86_64

How reproducible:
Use a machine with a e1000e driver on a wired network for a while.

Steps to Reproduce:
1. Plug in an ethernet cat5/6 cable
2. use the network
3. wait for failure

Actual results:
Network goes down and reconnects, breaking all connections

Expected results:
Network stays on untill deactivated or disconnected.

Additional info:
I've run f17 and f18 on this machine without issue.

[root@hamburger ~]# lspci | grep -i network
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

[root@hamburger ~]# lsmod | grep e1000
e1000e                245861  0 
ptp                    18413  1 e1000e

from /var/log/messages:

Jul  7 03:03:21 hamburger NetworkManager[880]: <info> (enp0s25): IP6 addrconf timed out or failed.
Jul  7 03:03:21 hamburger NetworkManager[880]: <info> Activation (enp0s25) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
Jul  7 03:03:21 hamburger NetworkManager[880]: <info> Activation (enp0s25) Stage 4 of 5 (IPv6 Configure Timeout) started...
Jul  7 03:03:21 hamburger NetworkManager[880]: <info> Activation (enp0s25) Stage 4 of 5 (IPv6 Configure Timeout) complete.
Jul  7 03:08:04 hamburger kernel: [ 4655.916054] e1000e: enp0s25 NIC Link is Down
Jul  7 03:08:04 hamburger NetworkManager[880]: <info> (enp0s25): carrier now OFF (device state 100, deferring action for 4 seconds)
Jul  7 03:08:08 hamburger NetworkManager[880]: <info> (enp0s25): carrier now ON (device state 100)
Jul  7 03:08:08 hamburger kernel: [ 4659.504019] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx


[root@hamburger log]# grep -c "carrier now OFF" messages 
58
Comment 1 Richard Allen 2013-07-07 00:17:40 EDT
[ra@hamburger ~]$ dmesg | grep e1000e
[   17.610780] e1000e: Intel(R) PRO/1000 Network Driver - 2.2.14-k
[   17.610783] e1000e: Copyright(c) 1999 - 2013 Intel Corporation.
[   17.610953] e1000e 0000:00:19.0: setting latency timer to 64
[   17.611017] e1000e 0000:00:19.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[   17.611054] e1000e 0000:00:19.0: irq 56 for MSI/MSI-X
[   17.811717] e1000e 0000:00:19.0 eth0: registered PHC clock
[   17.811721] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) 00:9c:02:1e:8a:1c
[   17.811723] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[   17.811782] e1000e 0000:00:19.0 eth0: MAC: 10, PHY: 11, PBA No: FFFFFF-0FF
[   43.695744] e1000e 0000:00:19.0: irq 56 for MSI/MSI-X
[   43.796563] e1000e 0000:00:19.0: irq 56 for MSI/MSI-X
[   51.251798] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 4346.164379] e1000e: enp0s25 NIC Link is Down
[ 4352.116733] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 4655.916054] e1000e: enp0s25 NIC Link is Down
[ 4659.504019] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 4722.654451] e1000e: enp0s25 NIC Link is Down
[ 4726.165446] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 6236.707566] e1000e: enp0s25 NIC Link is Down
[ 6240.332664] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 6281.646081] e1000e: enp0s25 NIC Link is Down
[ 6286.857641] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 6441.901181] e1000e: enp0s25 NIC Link is Down
[ 6445.503198] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[ 7650.995082] e1000e: enp0s25 NIC Link is Down
[ 7654.561175] e1000e: enp0s25 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
Comment 2 Richard Allen 2013-07-17 16:14:07 EDT
[root@hamburger log]# grep -c "carrier now OFF" messages*
messages:95
messages-20130707:61
messages-20130714:20
Comment 3 Richard Allen 2013-07-23 20:36:29 EDT
Strange.   My machine has been connected to the same switchport for fedoras 17, 18 and 19.  On a hunch I muved it to another port and the problem seems to have resolved itself :)

The timing of this switchport malfunction (with the release of f19) is remarkable.

Note You need to log in before you can comment on or make changes to this bug.